unit Source_U;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileCtrl, StdCtrls, Buttons;

type
  TSourceBmpForm = class(TForm)
    DriveComboBox: TDriveComboBox;
    SourceDirBox: TDirectoryListBox;
    LeftPicBox: TFileListBox;
    RightPicBox: TFileListBox;
    Label1: TLabel;
    Label2: TLabel;
    CancelButton: TBitBtn;
    OkButton: TBitBtn;
    procedure FormShow(Sender: TObject);
    procedure DriveComboBoxChange(Sender: TObject);
    procedure SourceDirBoxChange(Sender: TObject);
    procedure CancelButtonClick(Sender: TObject);
    procedure OkButtonClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
    Execute : Boolean;
  end;

var
  SourceBmpForm: TSourceBmpForm;
  Pic1Name,
  Pic2Name : String;
implementation

{$R *.DFM}


procedure TSourceBmpForm.FormShow(Sender: TObject);
begin
{$IFDEF GERMAN}
  SourceBmpForm.Caption := 'Einzelbilder auswhlen';
  Label1.Caption := 'linkes Bild';
  Label2.Caption := 'rechtes Bild';
{$ELSE}
  SourceBmpForm.Caption := 'select stereo sources';
  Label1.Caption := 'left BMP';
  Label2.Caption := 'right BMP';
{$ENDIF}
  Pic1Name := '';
  Pic2Name := '';
end;

procedure TSourceBmpForm.DriveComboBoxChange(Sender: TObject);
begin
  SourceDirBox.Drive := DriveComboBox.Drive;
end;

procedure TSourceBmpForm.SourceDirBoxChange(Sender: TObject);
begin
  LeftPicBox.Directory  := SourceDirBox.Directory;
  RightPicBox.Directory := SourceDirBox.Directory;
end;

procedure TSourceBmpForm.CancelButtonClick(Sender: TObject);
begin
  Execute := false;
  SourceBmpForm.Close;
end;

procedure TSourceBmpForm.OkButtonClick(Sender: TObject);
begin
  Pic1Name := LeftPicBox.Filename;
  Pic2Name := RightPicBox.Filename;
  if (Pic1Name <> '') and (Pic2Name <> '') then Execute := true;
  SourceBmpForm.Close;
end;

end.
